# M031BSP
BSP for M031 Series MCU

## .\Document\


- CMSIS.html<br>
	Introduction of CMSIS version 5.0. CMSIS components included CMSIS-CORE, CMSIS-Driver, CMSIS-DSP, etc.
  
- BSP Revision History<br>
	Show all the revision history about specific BSP.

- Driver Reference Guide<br>
	Describe the definition, input and output of each API.

## .\Library\


- CMSIS<br>
	CMSIS definitions by ARM® Corp.

- Device<br>
	CMSIS compliant device header file.

- StdDriver<br>
	All peripheral driver header and source files.

## .\Sample Code\


- FreeRTOS<br>
	Simple FreeRTOS™ demo code.

- Hard\_Fault\_Sample<br>
	Show hard fault information when hard fault happened.
  
- ISP<br>
	Sample codes for In-System-Programming.

- NuMaker<br>
	emWin Sample codes for NuMaker Board.
  
- Template<br>
	Software Development Template.

- Semihost<br>
	Show how to debug with semi-host message print.

- RegBased<br>
	The sample codes which access control registers directly.

- StdDriver<br>
	Driver Samples.

## .\ThirdParty\

- emWin<br>
	emWin porting for M031.

- FreeRTOS<br>
	FreeRTOS porting for M031.

# Licesne

**SPDX-License-Identifier: Apache-2.0**

Copyright in some of the content available in this BSP belongs to third parties.
Third parties license is specified in a file header or license file.
M031 BSP files are provided under the Apache-2.0 license.
